Bug 183091 - error resolving symbolic link
error resolving symbolic link
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 23:34 EST by John Reiser
Modified: 2015-01-04 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.29-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 11:58:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from "lspci" and "lspci -v" (3.97 KB, text/plain)
2006-02-25 23:34 EST, John Reiser
no flags Details
output from dmesg (54.77 KB, text/plain)
2006-02-26 00:44 EST, John Reiser
no flags Details
output from "dmesg -s 128000" at single-user boot (115.46 KB, text/plain)
2006-02-27 10:03 EST, John Reiser
no flags Details

  None (edit)
Description John Reiser 2006-02-25 23:34:21 EST
Description of problem:
During first "yum update" after FC5test3 install on Apple Macintosh Mini
(powerpc-32), the "Installing kernel" section gave:
error resolving symbolic link
./../../devices/pci0002:20/0002:20:0d.0/ide0/0.0&�B0: No such file or directory


Version-Release number of selected component (if applicable):
yum-2.5.1-5


How reproducible:
Haven't tried.

Steps to Reproduce:
1. Install FC5test3-DVD-ppc on Apple Macintosh Mini.
2. go through firstboot.
3. yum update, including
 kernel                  ppc        2.6.15-1.1977_FC5  development        16 M

  
Actual results:
./../../devices/pci0002:20/0002:20:0d.0/ide0/0.0&�B0: No such file or directory


Expected results:
Successful install

Additional info:
Comment 1 John Reiser 2006-02-25 23:34:21 EST
Created attachment 125268 [details]
output from "lspci" and "lspci -v"
Comment 2 John Reiser 2006-02-25 23:38:31 EST
Oh, and yum then hung, spinning with 64% user CPU, and 34% system CPU according
to the summary in "top".  The individual process with most time was 'mkinitrd':

top - 20:42:43 up  1:09,  3 users,  load average: 2.29, 1.81, 1.32
Tasks: 111 total,   3 running, 107 sleeping,   0 stopped,   1 zombie
Cpu(s): 62.4% us, 35.3% sy,  1.7% ni,  0.0% id,  0.0% wa,  0.7% hi,  0.0% si
Mem:    514180k total,   509992k used,     4188k free,    35980k buffers
Swap:        0k total,        0k used,        0k free,   220404k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 3627 root      25   0  5052 1620 1312 R 83.7  0.3  20:36.39 mkinitrd
 2409 jreiser   15   0 74964  20m  14m S  5.3  4.0   0:25.22 gnome-terminal
 2223 root      15   0 70736  18m  10m S  3.6  3.8   0:40.79 Xorg
 2331 jreiser   15   0 20352 9420 7940 S  2.3  1.8   0:05.64 metacity
Comment 3 John Reiser 2006-02-25 23:45:02 EST
[Changed component to kernel.]

After killing the yum process, then "rpm -q kernel" showed two:  
    kernel-2.6.15-1.1955_FC5
    kernel-2.6.15-1.1977_FC5
but I didn't trust the 1977.  So "rpm --erase kernel-2.6.15-1.1977_FC5" and then
go to /var/cache/yum/development/packages and "rpm --install
kernel-2.6.15-1.1977_FC5".  The error repeats:
   error resolving symbolic link
./../../devices/pci0002:20/0002:20:0d.0/ide0/0.0&�в@: No such file or directory
so the underlying problem is reproducible.
Comment 4 John Reiser 2006-02-26 00:44:23 EST
Created attachment 125271 [details]
output from dmesg

Note the curious line marked '####' below in output from dmesg:

Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PCI: Enabling device 0002:20:0d.0 (0000 -> 0002)     #####
ide0: Found Apple UniNorth ATA-6 controller, bus ID 3, irq 39
Comment 5 Dave Jones 2006-02-27 02:40:40 EST
I've enabled kobject debugging in the 1990 build, which should show up at
http://people.redhat.com/davej/kernels/Fedora/devel in an hour or so)

Can you grab the dmesg -s 128000 output from that one please ?
Comment 6 John Reiser 2006-02-27 10:03:42 EST
Created attachment 125317 [details]
output from "dmesg -s 128000" at single-user boot

Here is the dmesg output.  In order to install kernel-2.6.15-1.1990_FC5, I
first had to revert by force to mkinitrd-5.0.26-1 from the FC5test3 install
DVD.  The updated mkinitrd-5.0.28-1 failed in the middle of installing kernel
1990, with message as in Comment #3 above, leaving no
/boot/initrd-2.6.15-1.1990.img and no stanza in /etc/yaboot.conf.
Comment 7 Peter Jones 2006-02-27 11:58:37 EST
Should be fixed in 5.0.29-1 .

Note You need to log in before you can comment on or make changes to this bug.